#!/bin/sh
echo 'name: tls
version: 1.1.2
id: tls-1.1.2-57a3c4f0e9b716326688699fdeae8308

license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
stability: experimental
homepage: http://github.com/vincenthz/hs-tls
package-url:
synopsis: TLS/SSL protocol native implementation (Server and Client)
description: Native Haskell TLS and SSL protocol implementation for server and client.
             .
             This provides a high-level implementation of a sensitive security protocol,
             eliminating a common set of security issues through the use of the advanced
             type system, high level constructions and common Haskell features.
             .
             Currently implement the SSL3.0, TLS1.0, TLS1.1 and TLS1.2 protocol,
             with only RSA supported for Key Exchange.
             .
             Only core protocol available here, have a look at the
             <http://hackage.haskell.org/package/tls-extra/> package for default
             ciphers, compressions and certificates functions.
category: Network
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules: Network.TLS Network.TLS.Cipher
                 Network.TLS.Compression Network.TLS.Internal
hidden-modules: Network.TLS.Cap Network.TLS.Struct Network.TLS.Core
                Network.TLS.Context Network.TLS.Crypto Network.TLS.Extension
                Network.TLS.Handshake Network.TLS.Handshake.Common
                Network.TLS.Handshake.Certificate Network.TLS.Handshake.Client
                Network.TLS.Handshake.Server Network.TLS.Handshake.Signature
                Network.TLS.IO Network.TLS.MAC Network.TLS.Measurement
                Network.TLS.Packet Network.TLS.Record Network.TLS.Record.Types
                Network.TLS.Record.Engage Network.TLS.Record.Disengage
                Network.TLS.State Network.TLS.Session Network.TLS.Sending
                Network.TLS.Receiving Network.TLS.Util Network.TLS.Types
                Network.TLS.Wire
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.6.3/tls-1.1.2
library-dirs: /usr/local/lib/cabal/ghc-7.6.3/tls-1.1.2
              /usr/local/lib
hs-libraries: HStls-1.1.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.6.0.1-2324e29e8f7c561043683fccde7728aa
         bytestring-0.10.0.2-eecc198ed81abb69aaded5c195068445
         cereal-0.3.5.2-a8a790d0768a9248e2a627d1a1b5697e
         certificate-1.3.7-55a0be4e5cf0312e53d6be9eaff6f432
         crypto-pubkey-0.1.3-6643f0c9bc9b9c6b37ba390dc38fee09
         crypto-random-api-0.2.0-2741cc079116056d916ad6ab454325ca
         cryptohash-0.9.0-0f1b37dfae6666c203ab771afe9b14e5
         mtl-2.1.2-735d9c92b4f214d454fb5168bb1eb6ee
         network-2.4.1.2-b9f800e79eb4f2f789dc69f7b9fc0535
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.6.3/tls-1.1.2/html/tls.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.6.3/tls-1.1.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
